<?PHP
/************************************************************************/
/* PowerNews is a PHP and mySQL based newsscript - www.powerscripts.org */
/* Copyright (C) 2001-2003 PowerScripts                                 */
/*                                                                      */
/* This program is free software; you can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License, or    */
/* (at your option) any later version.                                  */
/*                                                                      */
/* This program is distributed in the hope that it will be useful,      */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of       */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        */
/* GNU General Public License for more details.                         */
/*                                                                      */
/* You should have received a copy of the GNU General Public License    */
/* along with this program; if not, write to the Free Software          */
/* Foundation, Inc., 59 Temple Place, Suite 330, Boston,                */
/* MA  02111-1307  USA                                                  */
/************************************************************************/

  /* Include config file */
  @include("pninc/config.inc.php");

  /* Needed PHP Version */
  $need_php_version = "4.1.0";

  /* Needed mySQL Version */
  $need_mysql_version = "3.00";

  /* Current PowerNews version */
  $thisversion = "2.5.5";
?>
<html>
<head>
  <title>PowerNews Installation</title>
</head>
<style type="text/css">
<!--
  BODY, TR, TD, P {
    font-family: Verdana;
    font-size: 10px;
    color: #000000
  }

  INPUT, TEXTAREA, SELECT {
    font-family: Verdana;
    font-size: 10px;
    border-color: #000000;
    border-width: 1;
  }

  A {
    color: #000080;
  }

  A:HOVER {
    color: #000000;
  }
-->
</style>
<body bgcolor="#FFFFF0" text="#000000" link="#000080" alink="#000080" vlink="#000080">

<center>
<table border="0" cellpadding="0" cellspacing="0" width="75%">
<tr><td bgcolor="#000000">
  <table border="0" cellpadding="3" cellspacing="1" width="100%">
  <tr><td bgcolor="#C0C0C0">

<?PHP
  if ($_POST[install] == "YES") {

    /* Create categorie table */
    mysql_query("CREATE TABLE $pn_config[cattable] (
      id int(11) NOT NULL auto_increment,
      name varchar(100) NOT NULL default '',
      description tinytext NOT NULL,
      picture varchar(250) NOT NULL default '',
      status enum('Activated','Deactivated') NOT NULL default 'Activated',
      PRIMARY KEY  (id)
    )");
    echo "<b>$pn_config[cattable]</b> erstellt\n<br>";

    /* Create comment table */
    mysql_query("CREATE TABLE $pn_config[commenttable] (
      id int(11) NOT NULL auto_increment,
      newsid int(10) NOT NULL default '0',
      userid int(11) NOT NULL default '0',
      time int(14) NOT NULL default '0',
      text text NOT NULL,
      ip varchar(100) NOT NULL default '',
      PRIMARY KEY  (id)
    )");
    echo "<b>$pn_config[commenttable]</b> erstellt\n<br>";

    /* Create config table */
    mysql_query("CREATE TABLE $pn_config[configtable] (
      categories enum('YES','NO') NOT NULL default 'YES',
      categorypics enum('YES','NO') NOT NULL default 'YES',
      comments enum('YES','NO') NOT NULL default 'YES',
      commentwriting enum('Guests &amp; Registered','Registered') NOT NULL default 'Guests &amp; Registered',
      moretext enum('YES','NO') NOT NULL default 'YES',
      sendnews enum('YES','NO') NOT NULL default 'YES',
      newssending enum('Guests &amp; Registered','Registered') NOT NULL default 'Guests &amp; Registered',
      smilies enum('NO','Comments','Comments &amp; News','News') NOT NULL default 'NO',
      bbcode enum('NO','Comments','Comments &amp; News','News') NOT NULL default 'NO',
      html enum('NO','Comments','Comments &amp; News','News') NOT NULL default 'NO',
      dateformat varchar(50) NOT NULL default '%d.%m.%Y',
      timeformat varchar(50) NOT NULL default '%H:%M',
      template int(11) NOT NULL default '0',
      url varchar(250) NOT NULL default '',
      email varchar(250) NOT NULL default '',
      headlines tinyint(2) NOT NULL default '0',
      news tinyint(2) NOT NULL default '0',
      spamprotection int(10) NOT NULL default '0',
      relatedlinks enum('YES','NO') NOT NULL default 'NO',
      relatedlinks_num int(2) NOT NULL default '5'
    )");
    echo "<b>$pn_config[configtable]</b> erstellt\n<br>";

    /* Create newstable */
    mysql_query("CREATE TABLE $pn_config[newstable] (
      id int(11) NOT NULL auto_increment,
      userid int(11) NOT NULL default '0',
      time int(14) NOT NULL default '0',
      catid int(11) NOT NULL default '0',
      title varchar(150) NOT NULL default '',
      text text NOT NULL,
      moretext text NOT NULL,
      status enum('Activated','Unchecked','Deactivated') NOT NULL default 'Activated',
      relatedlinks text NOT NULL,
      PRIMARY KEY  (id)
    )");
    echo "<b>$pn_config[newstable]</b> erstellt\n<br>";

    /* Create permissions table */
    mysql_query("CREATE TABLE $pn_config[permissionstable] (
      id int(11) NOT NULL auto_increment,
      userid int(11) NOT NULL default '0',
      canreadtemplates enum('YES','NO') NOT NULL default 'NO',
      canwritetemplates enum('YES','NO') NOT NULL default 'NO',
      canreadconfig enum('YES','NO') NOT NULL default 'NO',
      canwriteconfig enum('YES','NO') NOT NULL default 'NO',
      canreadusers enum('YES','NO') NOT NULL default 'NO',
      canwriteusers enum('YES','NO') NOT NULL default 'NO',
      canreadpermissions enum('YES','NO') NOT NULL default 'NO',
      canwritepermissions enum('YES','NO') NOT NULL default 'NO',
      canreadcategories enum('YES','NO') NOT NULL default 'NO',
      canwritecategories enum('YES','NO') NOT NULL default 'NO',
      canreadnews enum('YES','NO') NOT NULL default 'NO',
      canwritenews enum('YES','NO') NOT NULL default 'NO',
      canreadcomments enum('YES','NO') NOT NULL default 'NO',
      canwritecomments enum('YES','NO') NOT NULL default 'NO',
      PRIMARY KEY  (id)
    )");
    echo "<b>$pn_config[permissionstable]</b> erstellt\n<br>";

    /* Create template table */
    mysql_query("CREATE TABLE $pn_config[templatetable] (
      id int(11) NOT NULL auto_increment,
      title varchar(100) NOT NULL default '',
      message text NOT NULL,
      headline text NOT NULL,
      news text NOT NULL,
      comment text NOT NULL,
      usermenu text NOT NULL,
      usermenu2 text NOT NULL,
      relatedlinks text NOT NULL,
      commentform text NOT NULL,
      registerform text NOT NULL,
      loginform text NOT NULL,
      logout text NOT NULL,
      senddataform text NOT NULL,
      profileform text NOT NULL,
      archive text NOT NULL,
      sendnewsform text NOT NULL,
      addemail text NOT NULL,
      editemail text NOT NULL,
      registeremail text NOT NULL,
      dataemail text NOT NULL,
      PRIMARY KEY  (id)
    )");
    echo "<b>$pn_config[templatetable]</b> erstellt\n<br>";

    /* Create usertable */
    mysql_query("CREATE TABLE $pn_config[usertable] (
      id int(11) NOT NULL auto_increment,
      nickname varchar(100) NOT NULL default '',
      email varchar(250) NOT NULL default '',
      password varchar(100) NOT NULL default '',
      registered int(14) NOT NULL default '0',
      showemail enum('YES','NO') NOT NULL default 'YES',
      formathelp enum('YES','NO') NOT NULL default 'NO',
      status enum('Activated','Deactivated') NOT NULL default 'Activated',
      realname varchar(100) NOT NULL default '',
      city varchar(100) NOT NULL default '',
      age int(2) NOT NULL default '0',
      homepage varchar(250) NOT NULL default '',
      icq int(10) NOT NULL default '0',
      PRIMARY KEY  (id)
    )");
    echo "<b>$pn_config[usertable]</b> erstellt\n<br>";

    /* Create config */
    mysql_query("INSERT INTO $pn_config[configtable] (categories, categorypics, comments, commentwriting, moretext, sendnews, newssending, smilies, bbcode, html, dateformat, timeformat, template, url, email, headlines, news, spamprotection, relatedlinks, relatedlinks_num) VALUES('YES', 'NO', 'YES', 'Guests & Registered', 'NO', 'YES', 'Guests & Registered', 'Comments', 'Comments & News', 'News', '%d.%m.%Y', '%H:%M', '1', 'http://www.powerscripts.org', 'daemon@powerscripts.org', '10', '10', '30', 'NO', '5')");
    echo "Konfiguration erstellt\n<br>";

    /* Create default template */
    mysql_query("INSERT INTO $pn_config[templatetable] (title, message, headline, news, comment, usermenu, usermenu2, relatedlinks, commentform, registerform, loginform, logout, senddataform, profileform, archive, sendnewsform, addemail, editemail, registeremail, dataemail) VALUES('Default', '<table border=\"0\" cellpadding=\"3\" cellspacing=\"0\" width=\"100%\">
<tr><td bgcolor=\"#8C8E8C\">
<b>Nachricht</b>
</td></tr>
<tr><td bgcolor=\"#DEDFDE\"><br>
<p align=\"center\"><a href=\"{LINK}\">{MESSAGE}</a></p>
</td></tr>
</table><br>', '<small>{DATE} @ {TIME}</small> <a href=\"#{ID}\">{TITLE}</a><br>', '<a name=\"#{ID}\"></a>
<table border=\"0\" cellpadding=\"3\" cellspacing=\"0\" width=\"100%\">
<tr><td bgcolor=\"#8C8E8C\" colspan=\"2\">
<b>{TITLE}</b>
</td></tr>
<tr><td bgcolor=\"#DEDFDE\" valign=\"top\" width=\"80%\">
{TEXT}
</td><td bgcolor=\"#8C8E8C\" valign=\"top\" width=\"20%\">
<b>Related Links</b><br>
<ul>
{RELATEDLINKS}
</ul><br>
<center>{MORE}</center>
</td></tr>
<tr><td colspan=\"2\" align=\"right\" bgcolor=\"#DEDFDE\">
geschrieben von {AUTHOR} am {DATE} um {TIME} - {CATEGORY} - <a href=\"news.php?newsid={ID}&showcomments=YES\">Kommentare ({COMMENTS})</a>
</td></tr>
</table><br>', '<table border=\"0\" cellpadding=\"3\" cellspacing=\"0\" width=\"100%\">
<tr><td bgcolor=\"#8C8E8C\">
<b>geschrieben von {AUTHOR} am {DATE} um {TIME}</b>
</td></tr>
<tr><td bgcolor=\"#DEDFDE\">
{TEXT}
</td></tr>
</table><br>', '&raquo; <a href=\"./user.php\">Registrieren</a><br>
&raquo; <a href=\"./user.php?page=login\">Login</a><br>
&raquo; <a href=\"./user.php?page=senddata\">Daten senden</a><br>', '&raquo; <a href=\"./user.php?page=profile\">Profil</a><br>
&raquo; <a href=\"./user.php?page=logout\">Logout</a><br>', '&raquo;&nbsp;<a href=\"{URL}\" target=\"{TARGET}\">{TITLE}</a><br>\n', '<form action=\"comments.php?newsid={NEWSID}\" method=\"post\">
<table border=\"0\" cellpadding=\"3\" cellspacing=\"0\" width=\"100%\">
<tr><td bgcolor=\"#8C8E8C\">
<b>Kommentar schreiben</b>
</td></tr>
<tr><td bgcolor=\"#DEDFDE\">

  <table border=\"0\" cellpadding=\"3\" cellspacing=\"3\">
  <tr><td>
  <b>Name</b>
  </td><td>
  {NAME}
  </td></tr>
  <tr><td valign=\"top\">
  <b>Text</b>
  </td><td>
  <textarea name=\"text\" cols=\"50\" rows=\"5\"></textarea><br>
  <small>Enter f&uuml;r neue Zeile, kein HTML</small>
  </td></tr>
  <tr><td colspan=\"2\" align=\"center\">
  <input type=\"submit\" value=\"Kommentar posten\">
  </td></tr>
  </table>

</td></tr>
</table>
</form>', '<form action=\"user.php?pndata[send]=YES\" method=\"post\">
<table border=\"0\" cellpadding=\"3\" cellspacing=\"0\" width=\"100%\">
<tr><td bgcolor=\"#8C8E8C\">
<b>Registrieren</b>
</td></tr>
<tr><td bgcolor=\"#DEDFDE\">

  <table border=\"0\" cellpadding=\"3\" cellspacing=\"3\">
  <tr><td>
  <b>Nickname</b>
  </td><td>
  <input name=\"pndata[nickname]\" size=\"25\" maxlength=\"50\">
  </td></tr>
  <tr><td>
  <b>eMail</b>
  </td><td>
  <input name=\"pndata[email]\" size=\"25\" maxlength=\"100\">
  </td></tr>
  <tr><td>
  <b>eMail anzeigen</b>
  </td><td>
  <input type=\"checkbox\" name=\"pndata[showemail]\" value=\"YES\">
  </td></tr>
  <tr><td colspan=\"2\">
  <input type=\"submit\" value=\"Registrieren\">
  </td></tr>
  </table>

</td></tr>
</table>
</form>', '<form action=\"user.php?page=login&pndata[login]=YES\" method=\"post\">
<table border=\"0\" cellpadding=\"3\" cellspacing=\"0\" width=\"100%\">
<tr><td bgcolor=\"#8C8E8C\">
<b>Login</b>
</td></tr>
<tr><td bgcolor=\"#DEDFDE\">

  <table border=\"0\" cellpadding=\"3\" cellspacing=\"3\">
  <tr><td>
  <b>Nickname</b>
  </td><td>
  <input name=\"pndata[nickname]\" size=\"25\" maxlength=\"50\">
  </td></tr>
  <tr><td>
  <b>Passwort</b>
  </td><td>
  <input name=\"pndata[password]\" size=\"25\" maxlength=\"25\" type=\"password\">
  </td></tr>
  <tr><td colspan=\"2\">
  <input type=\"submit\" value=\"Einloggen\">
  </td></tr>
  </table>

</td></tr>
</table>
</form>', '<table border=\"0\" cellpadding=\"3\" cellspacing=\"0\" width=\"100%\">
<tr><td bgcolor=\"#8C8E8C\">
<b>Ausloggen</b>
</td></tr>
<tr><td bgcolor=\"#DEDFDE\">

  <p align=\"center\">Bist Du sicher dass Du Dich ausloggen willst <b>{NICKNAME}</b>?</p>
  <p align=\"center\">[ <a href=\"user.php?page=logout&pndata[logout]=YES\">Ja, ausloggen</a> |
  <a href=\"index.php\">Nein, abbrechen</a> ]</p>

</td></tr>
</table>', '<form action=\"user.php?page=senddata\" method=\"post\">
<table border=\"0\" cellpadding=\"3\" cellspacing=\"0\" width=\"100%\">
<tr><td bgcolor=\"#8C8E8C\">
<b>Daten senden</b>
</td></tr>
<tr><td bgcolor=\"#DEDFDE\">

  <table border=\"0\" cellpadding=\"3\" cellspacing=\"3\">
  <tr><td>
  <b>Nickname/eMail</b>
  </td><td>
  <input name=\"pndata[searchstring]\" size=\"25\" maxlength=\"50\">
  </td></tr>
  <tr><td colspan=\"2\">
  <input type=\"submit\" value=\"Daten senden\">
  </td></tr>
  </table>

</td></tr>
</table>
</form>', '<form action=\"user.php?page=profile&pndata[send]=YES\" method=\"post\">
<table border=\"0\" cellpadding=\"3\" cellspacing=\"0\" width=\"100%\">
<tr><td bgcolor=\"#8C8E8C\">
  <b>Profil editieren</b>
</td></tr>
<tr><td bgcolor=\"#DEDFDE\">

  <table border=\"0\" cellpadding=\"3\" cellspacing=\"3\">
  <tr><td>
    <b>Nickname</b>
  </td><td>
    <input name=\"pndata[nickname]\" size=\"25\" maxlength=\"50\" value=\"{NICKNAME}\">
  </td></tr>
  <tr><td>
    <b>eMail</b>
  </td><td>
    <input name=\"pndata[email]\" size=\"25\" maxlength=\"100\" value=\"{EMAIL}\">
  </td></tr>
  <tr><td>
    <b>eMail anzeigen</b>
  </td><td>
    <input type=\"checkbox\" name=\"pndata[showemail]\" value=\"YES\" {SHOWEMAIL}>
  </td></tr>
  <tr><td>
    <b>Passwort</b>
  </td><td>
    <input type=\"password\" name=\"pndata[password]\" value=\"{PASSWORD}\">
    <input type=\"password\" name=\"pndata[password2]\" value=\"{PASSWORD}\">
  </td></tr>
  <tr><td>
    <b>Realname</b>
  </td><td>
    <input name=\"pndata[realname]\" value=\"{REALNAME}\" size=\"25\" maxlength=\"100\">
  </td></tr>
  <tr><td>
    <b>Wohnort</b>
  </td><td>
    <input name=\"pndata[city]\" value=\"{CITY}\" size=\"25\" maxlength=\"100\">
  </td></tr>
  <tr><td>
    <b>Alter</b>
  </td><td>
    <input name=\"pndata[age]\" value=\"{AGE}\" size=\"3\" maxlength=\"2\">
  </td></tr>
  <tr><td>
    <b>Homepage</b>
  </td><td>
    <input name=\"pndata[homepage]\" value=\"{HOMEPAGE}\" size=\"25\" maxlength=\"250\">
  </td></tr>
  <tr><td>
    <b>ICQ</b>
  </td><td>
    <input name=\"pndata[icq]\" value=\"{ICQ}\" size=\"11\" maxlength=\"10\">
  </td></tr>
  <tr><td colspan=\"2\">
    <input type=\"submit\" value=\"Profil editieren\"> <input type=\"reset\" value=\"Profil zur&uuml;cksetzten\">
  </td></tr>
  </table>

</td></tr>
</table>
</form>', '<table border=\"0\" cellpadding=\"3\" cellspacing=\"0\" width=\"100%\">
<tr><td bgcolor=\"#8C8E8C\">
<b>Newsarchiv</b>
</td></tr>
<tr><td bgcolor=\"#DEDFDE\">

  <form action=\"archive.php\" method=\"post\">
  News aus dem Jahr {SELECTYEAR} und dem Monat {SELECTMONTH} anzeigen <input type=\"submit\" value=\"Anzeigen\">
  </form>
  <b>oder</b><br>
  <br>
  <form action=\"archive.php?pndata[type]=search\" method=\"post\">
  Suchen nach <input name=\"pndata[searchstring]\" size=\"25\" maxlength=\"50\" value=\"{SEARCHSTRING}\"> <input type=\"submit\" value=\"Suchen\">
  </form>

</td></tr>
</table><br>', '<form action=\"sendnews.php?pndata[send]=YES\" method=\"post\">
<table border=\"0\" cellpadding=\"3\" cellspacing=\"0\" width=\"100%\">
<tr><td bgcolor=\"#8C8E8C\">
<b>News einsenden</b>
</td></tr>
<tr><td bgcolor=\"#DEDFDE\">

  <table border=\"0\" cellpadding=\"3\" cellspacing=\"3\">
  <tr><td>
  <b>Nickname</b>
  </td><td>
  {USER}
  </td></tr>
  <tr><td>
  <b>Kategorie</b>
  </td><td>
  {CATEGORYSELECT}
  </td></tr>
  <tr><td>
  <b>Titel</b>
  </td><td>
  <input name=\"pndata[title]\" size=\"25\" maxlength=\"50\">
  </td></tr>
  <tr><td valign=\"top\">
  <b>Text</b>
  </td><td>
  <textarea name=\"pndata[text]\" cols=\"50\" rows=\"10\"></textarea>
  </td></tr>
  <tr><td valign=\"top\">
  <b>Langer Text</b>
  </td><td>
  <textarea name=\"pndata[moretext]\" cols=\"50\" rows=\"10\"></textarea>
  </td></tr>
  <tr><td colspan=\"2\">
  <input type=\"submit\" value=\"News einsenden\">
  </td></tr>
  </table>

</td></tr>
</table>
</form>', 'Hallo {NICKNAME},

du wurdest soeben von einem Administrator bei PowerNews auf {URL} registriert. Deine Daten lauten wie folgt:

Nickname: {NICKNAME}
eMail: {EMAIL}
Passwort: {PASSWORD}

Bitte nicht auf diese automatisch generierte eMail antworten!', 'Hallo {NICKNAME},

soeben wurde dein PowerNews Profil auf {URL} von einem Administrator editiert. Deine neuen Daten lauten wie folgt:

Nickname: {NICKNAME}
eMail: {EMAIL}
Passwort: {PASSWORD}

Bitte nicht auf diese automatisch generierte eMail antworten!', 'Hallo {NICKNAME},

du hast Dich soeben bei PowerNews auf {URL} registriert. Deine Daten lauten wie folgt:

Nickname: {NICKNAME}
eMail: {EMAIL}
Passwort: {PASSWORD}

Bitte nicht auf diese automatisch generierte eMail antworten!', 'Hallo {NICKNAME},

Du hast dir soeben von PowerNews auf {URL} Deine Daten zuschicken lassen. Solltest Du Deine Daten nicht abgefragt haben, so ignoriere diese eMail!

Nickname: {NICKNAME}
eMail: {EMAIL}
Passwort: {PASSWORD}

Bitte nicht auf diese automatisch generierte eMail antworten!')");
    echo "Standardtemplate erstellt\n<br>";

    /* Create admin */
    $pw = base64_encode("powernews");
    $now = time();
    mysql_query("INSERT INTO $pn_config[usertable] (nickname, email, password, registered, showemail, status) VALUES('powernews', 'daemon@powerscripts.org', '$pw', '$now', 'NO', 'Activated')");
    mysql_query("INSERT INTO $pn_config[permissionstable] (userid, canreadtemplates, canwritetemplates, canreadconfig, canwriteconfig, canreadusers, canwriteusers, canreadpermissions, canwritepermissions, canreadcategories, canwritecategories, canreadnews, canwritenews, canreadcomments, canwritecomments) VALUES('1', 'YES', 'YES', 'YES', 'YES', 'YES', 'YES', 'YES', 'YES', 'YES', 'YES', 'YES', 'YES', 'YES', 'YES')");
    echo "Admin erstellt (Name: <b>powernews</b> / Passwort: <b>powernews</b>) <font color=\"#FF0000\"><b>WICHTIG!!!</b></font>\n<br>";

    echo "<br>Installation erfolgreich! Bitte l&ouml;schen Sie die <b>install.php</b> und die <b>update.php</b> - <a href=\"./pnadmin/\">Adminbereich</a>\n";

  } else {
    ?>
    Bitte fahren Sie mit der Installation von PowerNews nur fort, wenn alle Vorraussetzungen erf&uuml;llt (gr&uuml;n) sind. F&uuml;r die einzelnen Installationsschritte lesen Sie bitte die <a href="readme.html" target="_blank">ReadMe</a>.<br>
    <br>

    <center>
    <table border="0" cellpadding="3" cellspacing="3">
    <tr><td width="150">
    &nbsp;
    </td><td width="175">
    <b>Ben&ouml;tigt</b>
    </td><td width="175">
    <b>Vorhanden</b>
    </td></tr>

    <tr><td>
    <b>PHP Version</b>
    </td><td>
    <?PHP echo $need_php_version; ?> oder h&ouml;her
    </td><td>
    <?PHP
      if (phpversion() >= $need_php_version) {
        echo "<font color=\"#008000\">".phpversion()."</font>";
      } else {
        $error = "PHP VERSION";
        echo "<font color=\"#FF0000\">".phpversion()."</font>";
      }
    ?>
    </td></tr>

    <tr><td>
    <b>upload_max_filesize</b> (nur f&uuml;r Bildupload)
    </td><td>
    &gt; 0M
    </td><td>
    <?PHP
      if (get_cfg_var('upload_max_filesize') > 0) {
        echo "<font color=\"#008000\">".get_cfg_var("upload_max_filesize")."</font>";
      } else {
        echo "<font color=\"#FF0000\">".get_cfg_var("upload_max_filesize")."</font>";
      }
    ?>
    </td></tr>

    <tr><td>
    <b>mySQL</b>
    </td><td>
    <?PHP echo $need_mysql_version; ?> oder h&ouml;her
    </td><td>
    <?PHP
      if (mysql_get_server_info() >= $need_mysql_version) {
        echo "<font color=\"#008000\">".mysql_get_server_info()."</font>";
      } else {
        $error = "MYSQL";
        echo "<font color=\"#FF0000\">".mysql_get_server_info()."</font>";
      }
    ?>
    </td></tr>
    </table>
    </center>

    <?PHP if (!$error) { ?>
    <p align="center">
    <form action="install.php" method="post">
    <input type="hidden" name="install" value="YES">
    <input type="submit" value="Installieren">
    </form>
    </p>
    <?PHP
    }
  }
?>

  </td></tr>
  </table>
</td></tr>
</table>
</center>

<p align="center" class="copyright"><font size="1">PowerNews <?PHP echo $thisversion; ?> &copy; Copyright 2002 by <a href="http://www.powerscripts.org" target="_blank">PowerScripts</a></font></p>

</body>
</html>
