<?PHP
/************************************************************************/
/* PowerNews is a PHP and mySQL based newsscript - www.powerscripts.org */
/* Copyright (C) 2001-2003 PowerScripts                                 */
/*                                                                      */
/* This program is free software; you can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License, or    */
/* (at your option) any later version.                                  */
/*                                                                      */
/* This program is distributed in the hope that it will be useful,      */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of       */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        */
/* GNU General Public License for more details.                         */
/*                                                                      */
/* You should have received a copy of the GNU General Public License    */
/* along with this program; if not, write to the Free Software          */
/* Foundation, Inc., 59 Temple Place, Suite 330, Boston,                */
/* MA  02111-1307  USA                                                  */
/************************************************************************/

  /* Please edit the following settings */

  /* Your mySQL settings - you will get this data from your host */
  $pn_config[mysqlhost] = "localhost";                      // mySQL server
  $pn_config[mysqluser] = "root";                           // mySQL user
  $pn_config[mysqlpass] = "";                               // mySQL password
  $pn_config[mysqldata] = "pnews25";                        // mySQL database


  /* The names of the tables - don't change, only if you want to install PN two times */
  $pn_config[cattable] = "pn_categories";                   // Categorytable
  $pn_config[commenttable] = "pn_comments";                 // Commenttable
  $pn_config[configtable] = "pn_config";              // Configtable
  $pn_config[newstable] = "pn_news";                        // Newstable
  $pn_config[permissionstable] = "pn_permissions";          // Permissionstable
  $pn_config[templatetable] = "pn_templates";               // Templatetable
  $pn_config[usertable] = "pn_users";                       // Usertable


  /* The names of the extern PowerNews files - check the example ones */
  $pn_config[newsfile] = "index.php";                      // Newsfile
  $pn_config[detailfile] = "news.php";                     // Newsdetails
  $pn_config[commentfile] = "comments.php";                // Newscomments
  $pn_config[userfile] = "user.php";                       // Userfile
  $pn_config[archivefile] = "archive.php";                 // Archivefile
  $pn_config[sendnewsfile] = "sendnews.php";							 // Sendnewsfile

  /* Activate puffer in admin center - TRUE or FALSE - Can cause problems on some webservers */
  $pn_config[acpuffer] = TRUE;

  /* Select your language for PowerNews */
  $pn_config[language] = "german-du";

  /* Array with targets for related links - example: $pn_config[rltargets] = array("_blank", "_main", "_top"); */
  $pn_config[rltargets] = array("_blank", "_main");


  // Please DO NOT EDIT the following code

  $pn_config[version] = "2.5.5";

  // Connect to mySQL Server and select database
  if (!$pn_handler) {
    $pn_handler = @mysql_connect($pn_config[mysqlhost], $pn_config[mysqluser], $pn_config[mysqlpass]) OR
    die("<center><b>PowerNews:</b> mySQL connection failed!</center>");

    mysql_select_db($pn_config[mysqldata],$pn_handler) OR
    die("<center><b>PowerNews:</b> mySQL database-selection failed!</center>");
  }

?>
