<?PHP
/************************************************************************/
/* PowerNews is a PHP and mySQL based newsscript - www.powerscripts.org */
/* Copyright (C) 2001-2003 PowerScripts                                 */
/*                                                                      */
/* This program is free software; you can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License, or    */
/* (at your option) any later version.                                  */
/*                                                                      */
/* This program is distributed in the hope that it will be useful,      */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of       */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        */
/* GNU General Public License for more details.                         */
/*                                                                      */
/* You should have received a copy of the GNU General Public License    */
/* along with this program; if not, write to the Free Software          */
/* Foundation, Inc., 59 Temple Place, Suite 330, Boston,                */
/* MA  02111-1307  USA                                                  */
/************************************************************************/

// Class for news
class pn_news {

  // List headlines
  function headlines ($catid, $current = "0") {

  	global $pn_config, $pnconfig, $pn_handler;

    $now = time();
    if ($catid) { $wherecat = "AND catid = '$catid'"; }
    $result = mysql_query("SELECT id, time, catid, title FROM $pn_config[newstable] WHERE time <= $now AND status = 'Activated' $wherecat ORDER BY time DESC LIMIT $pnconfig[headlines]", $pn_handler);

    $num = mysql_num_rows($result);
    if ($num == 0) {
      echo "<center>".L_NEWS_NOHEADLINES."</center>";
    } else {
      $template = new pn_template;
      while ($row = mysql_fetch_array($result)) {
        $category = $this->getcatname($row[catid]);
         $template->headline($row[id], $row[time], $category, stripslashes($row[title])) OR die("<center>".L_TEMPL_CANNOTLOADTEMPL."</center>");
      }
    }
  }

  // List news
  function news ($catid, $current = "0") {

    global $pn_config, $pnconfig, $pn_handler;

    $now = time();
    if ($catid) { $wherecat = "AND catid = '$catid'"; }
    $result = mysql_query("SELECT * FROM $pn_config[newstable] WHERE time <= $now $wherecat AND status = 'Activated' ORDER BY time DESC LIMIT $pnconfig[news]", $pn_handler);

    $num = mysql_num_rows($result);
    if ($num == 0) {
      echo "<center>".L_NEWS_NONEWS."</center>";
    } else {
      $template = new pn_template;
      while ($row = mysql_fetch_array($result)) {
        $category = $this->getcatname($row[catid]);
        $author = $this->getauthor($row[userid]);
        $comments = $this->getcommentnum($row[id]);
        $template->news($row[id], $author, $row[time], $category, stripslashes($row[title]), stripslashes($row[text]), $comments, "NO", stripslashes($row[moretext]), $row[relatedlinks]) OR die("<center>".L_TEMPL_CANNOTLOADTEMPL."</center>");
      }
    }
  }

  // Post news details
  function details ($newsid) {

    global $pn_config, $pnconfig, $pn_newsexist, $pn_handler;

    $now = time();
    $result = mysql_query("SELECT * FROM $pn_config[newstable] WHERE id = '$newsid' AND time <= '$now' AND status = 'Activated'", $pn_handler);
    $num = mysql_num_rows($result);
    $template = new pn_template;
    if ($num == 1) {
      $pn_newsexist = "YES";
      $row = mysql_fetch_array($result);
      $category = $this->getcatname($row[catid]);
      $author = $this->getauthor($row[userid]);
      $comments = $this->getcommentnum($row[id]);
      $template->news($row[id], $author, $row[time], $category, stripslashes($row[title]), stripslashes($row[text]), $comments, "YES", stripslashes($row[moretext]), $row[relatedlinks]) OR die("<center>".L_TEMPL_CANNOTLOADTEMPL."</center>");
    } else {
      $pn_newsexist = "NO";
      $template->message(L_NEWS_CHOOSENEWS, $pn_config[newsfile]);
    }
  }

  // List comments for news
  function comments ($newsid) {
    global $pn_config, $pnconfig, $pn_handler;
    $now = time();
    $result = mysql_query("SELECT * FROM $pn_config[newstable] WHERE id = '$newsid' AND time <= '$now' AND status = 'Activated'", $pn_handler);
    $num = mysql_num_rows($result);
    if ($num == 1) {
      $row = mysql_fetch_array($result);
      $cresult = mysql_query("SELECT * FROM $pn_config[commenttable] WHERE newsid = '$newsid' AND time <= '$now' ORDER BY time", $pn_handler);
      $cnum = mysql_num_rows($cresult);
      if ($cnum > 0) {
        while ($crow = mysql_fetch_array($cresult)) {
          $template = new pn_template;
          if ($crow[userid] != 0) {
            $user = new pn_user;
            $userdata = $user->getuser($crow[userid]);
          } else {
            $userdata[id] = "0";
            $userdata[nickname] = L_NEWS_GUEST;
          }
          $template->comment($crow[id], $crow[newsid], $userdata, $crow[time], stripslashes($crow[text]));
        }
      } else {
        ?><p align="center"><?PHP echo L_NEWS_NOCOMMENTS; ?></p><?PHP
      }
    }
  }

  // Get number of comments for a newspost
  function getcommentnum ($newsid) {

    global $pn_config, $pn_handler;

    $result = mysql_query("SELECT id FROM $pn_config[commenttable] WHERE newsid = '$newsid'", $pn_handler);
    $num = mysql_num_rows($result);

    return $num;

  }

  // Get author name and email
  function getauthor ($userid) {

    global $pn_config, $pn_handler;

    $result = mysql_query("SELECT nickname, email, showemail FROM $pn_config[usertable] WHERE id = '$userid'", $pn_handler);
    $num = mysql_num_rows($result);
    if ($num == 1) {
      $row = mysql_fetch_array($result);
      if ($row[showemail] == "YES") {
        $author = "<a href=\"mailto:$row[email]\">$row[nickname]</a>";
      } else {
        $author = $row[nickname];
      }
    } else {
      $author = L_NEWS_UNKNOWN;
    }

    return $author;

  }

  // Get name of category
  function getcatname ($catid) {

    global $pn_config, $pn_handler;

    if ($catid == "0") {
      $category = L_NEWS_CATSDEACTIVATED;
    } else {
      $result = mysql_query("SELECT id, name, picture FROM $pn_config[cattable] WHERE id = '$catid'", $pn_handler);
      $num = mysql_num_rows($result);
      if ($num == 1) {
        $category = mysql_fetch_array($result);
        $category[pic] = "<img src=\"./pngfx/categories/$category[picture]\" border=\"0\" alt=\"$category[name]\">";
        $category[name] = stripslashes($category[name]);
        $category[description] = stripslashes($category[descripiton]);
        return $category;
      } else {
        $category = L_NEWS_WRONGCAT;
      }
    }

    // Return category
    return $category;

  }

  // Post form for posting comments
  function commentform ($newsid) {
    global $pn_config, $pnconfig, $pnuser;
    if ($pnconfig[commentwriting] == "Registered") {
      if ($pnuser[loggedin] == "YES") {
        $template = new pn_template;
        $template->commentform($pnuser[nickname], $newsid);
      } else {
        ?><p align="center"><?PHP echo L_NEWS_CANNOTPOSTCOMMENTS; ?></p><?PHP
      }
    } else {
      $template = new pn_template;
      if ($pnuser[loggedin] == "YES") {
        $template->commentform($pnuser[nickname], $newsid);
      } else {
        $template->commentform(L_NEWS_GUEST, $newsid);
      }
    }
  }

  // Post comment
  function postcomment ($newsid, $text) {
    global $pn_config, $pnconfig, $pnuser, $REMOTE_ADDR, $pn_handler;
    $template = new pn_template;
    if (trim($text)) {
      $now = time();
      $spamprotectiontime = $now - $pnconfig[spamprotection];
      $result = mysql_query("SELECT * FROM $pn_config[commenttable] WHERE ip = '$REMOTE_ADDR' AND time >= $spamprotectiontime", $pn_handler);
      $num = mysql_num_rows($result);
      if ($num == 0) {
      	$text = addslashes($text);
        if ($pnconfig[commentwriting] == "Registered") {
          if ($pnuser[loggedin] == "YES") {
            $query = "INSERT INTO $pn_config[commenttable] (newsid, userid, time, text, ip) VALUES('$newsid', '$pnuser[id]', '$now', '$text', '$REMOTE_ADDR')";
          } else {
            $query = "";
            $template->message(L_NEWS_CANNOTPOSTCOMMENTS, $pn_config[userfile]."?page=login");
          }
        } else {
          if ($pnuser[loggedin] == "YES") {
            $query = "INSERT INTO $pn_config[commenttable] (newsid, userid, time, text, ip) VALUES('$newsid', '$pnuser[id]', '$now', '$text', '$REMOTE_ADDR')";
          } else {
            $query = "INSERT INTO $pn_config[commenttable] (newsid, userid, time, text, ip) VALUES('$newsid', '0', '$now', '$text', '$REMOTE_ADDR')";
          }
        }
        if ($query != "") {
          mysql_query($query, $pn_handler);
          $template->message(L_NEWS_COMMENTPOSTED, $pn_config[detailfile]."?newsid=$newsid&showcomments=YES");
        }
      } else {
        if ($pnconfig[spamprotection] >= 3600) {
          $sp_time = round($pnconfig[spamprotection] / 3600, 1);
          $sp_unit = L_NEWS_HOURS;
        } elseif ($pnconfig[spamprotection] >= 60) {
          $sp_time = round($pnconfig[spamprotection] / 60, 1);
          $sp_unit = L_NEWS_MINUTES;
        } else {
          $sp_time = $pnconfig[spamprotection];
          $sp_unit = L_NEWS_SECONDS;
        }

        $template->message(L_NEWS_TIMEBETWEEN2COMMENTS." ($sp_time $sp_unit)", "javascript:history.back()");
      }
    } else {
      $template->message(L_ALL_FILLALL, "javascript:history.back()");
    }
  }

  // print archive
  function archive () {
    global $pn_config, $pnconfig, $pn_handler;
    $template = new pn_template;
    if (!$_POST[pndata][showyear]) { $_POST[pndata][showyear] = strftime("%Y", time()); }
    $_POST[pndata][yearselect] = $this->getyearsforarchive();
    if (!$_POST[pndata][showmonth]) { $_POST[pndata][showmonth] = strftime("%m", time()); }
    $template->archive($_POST[pndata]);

    $now = time();

    switch ($_GET[pndata][type]) {
      case "search":
        $result = mysql_query("SELECT * FROM $pn_config[newstable] WHERE ((title LIKE '%".$_POST[pndata][searchstring]."%') OR (text LIKE '%".$_POST[pndata][searchstring]."%') OR (moretext LIKE '%".$_POST[pndata][searchstring]."%')) AND (status = 'Activated') AND (time <= '$now') ORDER BY time DESC", $pn_handler);
        $num = mysql_num_rows($result);
        if ($num != 0) {
          while ($row = mysql_fetch_array($result)) {
            $category = $this->getcatname($row[catid]);
            $author = $this->getauthor($row[userid]);
            $comments = $this->getcommentnum($row[id]);
            $template->news($row[id], $author, $row[time], $category, stripslashes($row[title]), stripslashes($row[text]), $comments, "NO", stripslashes($row[moretext]), $row[relatedlinks]) OR die("<center>".L_TEMPL_CANNOTLOADTEMPL."</center>");
          }
        } else {
          $template->message(L_NEWS_NONEWSFOUND, "javascript:history.back()");
        }
      break;
      default:
        $now = time();
        if (!$_POST[pndata][showyear]) { $_POST[pndata][showyear] = strftime("%Y", $now); }
        if (!$_POST[pndata][showmonth]) { $_POST[pndata][showmonth] = strftime("%m", $now); }
        if ($_POST[pndata][showmonth] == "12") { $endmonthyear = $_POST[pndata][showyear] + 1; $nextmonth = 1; }
        else { $endmonthyear = $_POST[pndata][showyear]; $nextmonth = $_POST[pndata][showmonth] + 1; }
        $startofmonth = mktime(0, 0, 0, $_POST[pndata][showmonth], 1, $_POST[pndata][showyear]);
        $endofmonth = mktime(0, 0, 0, $nextmonth, 1, $endmonthyear);
        $result = mysql_query("SELECT * FROM $pn_config[newstable] WHERE (time > $startofmonth) AND (time < $endofmonth) AND (status = 'Activated') AND (time <= '$now') ORDER BY time DESC", $pn_handler);
        $num = mysql_num_rows($result);
        if ($num != 0) {
          while ($row = mysql_fetch_array($result)) {
            $category = $this->getcatname($row[catid]);
            $author = $this->getauthor($row[userid]);
            $comments = $this->getcommentnum($row[id]);
            $template->news($row[id], $author, $row[time], $category, stripslashes($row[title]), stripslashes($row[text]), $comments, "NO", stripslashes($row[moretext]), $row[relatedlinks]) OR die("<center>".L_TEMPL_CANNOTLOADTEMPL."</center>");
          }
        }
      break;
    }
  }

  function getyearsforarchive() {
    global $pn_config, $pndata, $pn_handler;
    $yearselect = "<select name=\"pndata[showyear]\" size=\"1\">\n";

    $now = time();
    $thisyear = date("Y", $now);

    $result = mysql_query("SELECT * FROM $pn_config[newstable] WHERE status = 'Activated' ORDER BY TIME LIMIT 1", $pn_handler);
    $num = mysql_num_rows($result);
    if ($num == 1) {
      $row = mysql_fetch_array($result);
      $firstyear = strftime("%Y", $row[time]);
      $years = $firstyear;
      while ($years <= $thisyear) {
        if ($years == $_POST[pndata][showyear]) { $select = "selected"; } else { unset($select); }
        $yearselect .= "<option value=\"$years\" $select>$years</option>\n";
        $years++;
      }
    } else {
      $yearselect .= "<option value=\"$thisyear\">$thisyear</option>\n";
    }

    $yearselect .= "</select>";

    return $yearselect;
  }

  // User sendnews
  function sendnews () {
    global $pn_config, $pnconfig, $pnuser, $pn_handler;

    $template = new pn_template;

    if ($pnconfig[sendnews] == "YES") {
      // Check if categories are enabled and generate selectbox
      if ($pnconfig[categories] == "YES") {
        $catresult = mysql_query("SELECT * FROM $pn_config[cattable] WHERE status = 'Activated'", $pn_handler);
        $catnum = mysql_num_rows($catresult);
        if ($catnum > 0) {
          $catselect = "<select name=\"pndata[catid]\" size=\"1\">\n";
          $catselect .= "<option value=\"\">".L_NEWS_CHOOSECAT."</option>\n";
          while ($catrow = mysql_fetch_array($catresult)) {
            $catselect .= "<option value=\"$catrow[id]\">".stripslashes($catrow[name])."</option>\n";
          }
          $catselect .= "</select>";
        } else {
          $catselect = L_NEWS_NOCATS;
        }
      } else {
        $catselect = L_NEWS_CATSDEACTIVATED;
      }

      // Prepare title, text and related links
      $title = addslashes($_POST[pndata][title]);
      $text = addslashes($_POST[pndata][text]);
      $moretext = addslashes($_POST[pndata][moretext]);
      $catid = $_POST[pndata][catid];

      for ($i = 0; $i < count($_POST[pndata][rl_title]); $i++) {
        if (trim($_POST[pndata][rl_title][$i]) AND trim($_POST[pndata][rl_url][$i])) {
          $relatedlinks .= $_POST[pndata][rl_title][$i]."!@!@!".$_POST[pndata][rl_url][$i]."!@!@!".$_POST[pndata][rl_target][$i]."\n";
        }
      }

			// Check who can send news
      if ($pnconfig[newssending] == "Registered" AND $pnuser[loggedin] == "NO") {
      	$template->message(L_NEWS_CANNOTSENDNEWS, $pn_config[userfile]."?page=login");
      } else {
        if ($_GET[pndata][send] == "YES") {
          if (!trim($title) OR !trim($text) OR ($pnconfig[categories] == "YES" AND !$catid)) {
            $template->message(L_ALL_FILLALL, "javascript:history.back()");
          } else {
            $now = time();
            mysql_query("INSERT INTO $pn_config[newstable] (userid, time, catid, title, text, moretext, status, relatedlinks) VALUES('$pnuser[id]', '$now', '$catid', '$title', '$text', '$moretext', 'Unchecked', '$relatedlinks')", $pn_handler);
            $template->message(L_NEWS_NEWSSENTIN, $pn_config[newsfile]);
          }
        } else {
          if ($pnuser[loggedin] == "YES") {
            $user = "<a href=\"mailto:$pnuser[email]\">$pnuser[nickname]</a>";
          } else {
            $user = "Gast";
          }
          $template->sendnewsform($user, $catselect);
        }
      }

    } else {
        $template->message(L_NEWS_NONEWSSENDIN, $pn_config[newsfile]);
    }

  }

}

##################################################################################################

// User class
class pn_user {

  // Get userinfo to id
  function getuser ($userid) {
    global $pn_config, $pn_handler;
    $result = mysql_query("SELECT * FROM $pn_config[usertable] WHERE id = '$userid'", $pn_handler);
    $num = mysql_num_rows($result);
    if ($num == 1) {
      $data = mysql_fetch_array($result);
      return $data;
    }
  }

  // Generate password
  function generate_password() {
    $now = time();
    srand($now);
    $pwarray = array("a", "b", "c", "d", "e", "f", "g", "h", "i", "j", "k", "l", "m", "n", "o", "p", "q", "r", "s", "t", "u", "v", "w", "x", "y", "z", "A", "B", "C", "D", "E", "F", "G", "H", "I", "J", "K", "L", "M", "N", "O", "P", "Q", "R", "S", "T", "U", "V", "W", "X", "Y", "Z", "0", "1", "2", "3", "4", "5", "6", "7", "8", "9");

    $pwacount = count($pwarray);
    $password = "";
    $i = 0;
    while ($letter = rand("0", $pwacount - 1) AND $i != 8) {
      $password .= $pwarray[$letter];
      $i++;
    }

    return $password;
  }

  // Register new user
  function register () {
    global $pn_config, $pnconfig, $pn_handler;
    $template = new pn_template;
    if ($_GET[pndata][send] == "YES") {
      if (!$_POST[pndata][nickname] OR !$_POST[pndata][email]) {
        $template->message("Du musst alle Felder ausf&uuml;llen!", "javascript:history.back()");
      } else {
        $result = mysql_query("SELECT * FROM $pn_config[usertable] WHERE nickname = '".$_POST[pndata][nickname]."' OR email = '".$_POST[pndata][email]."'", $pn_handler);
        $num = mysql_num_rows($result);
        if ($num != 0) {
          $template->message(L_USR_USRALREADYEXISTS, "javascript:history.back()");
        } else {
          if (!preg_match("!^[_a-zA-Z0-9.-]+@[a-zA-Z0-9.-]+.[a-zA-Z]{2,4}$!", $_POST[pndata][email])) {
            $template->message(L_USR_WRONGEMAIL, "javascript:history.back()");
          } else {
            $password = $this->generate_password();
            $cpass = base64_encode($password);
            $now = time();
            if (!$_POST[pndata][showemail]) { $_POST[pndata][showemail] = "NO"; }
            mysql_query("INSERT INTO $pn_config[usertable] (nickname, email, password, registered, showemail) VALUES('".$_POST[pndata][nickname]."', '".$_POST[pndata][email]."', '$cpass', '$now', '".$_POST[pndata][showemail]."')", $pn_handler);
            $pemail = new pn_email;
            $pemail->registeremail($_POST[pndata][nickname], $_POST[pndata][email], $password);
            $template->message(L_USR_REGISTERED, $pn_config[userfile]."?page=login");
          }
        }
      }
    } else {
      $template->registerform();
    }
  }

  // Set cookie for user
  function setusercookie () {
    global $pn_config, $pn_handler;
    $result = mysql_query("SELECT * FROM $pn_config[usertable] WHERE nickname = '".$_POST[pndata][nickname]."'", $pn_handler);
    $num = mysql_num_rows($result);
    if ($num == 1) {
      $pnuser = mysql_fetch_array($result);
      if ($pnuser[password] == base64_encode($_POST[pndata][password])) {
        $cookiestring = $pnuser[id]."@@@@@".$pnuser[password];
        $cookiestring = base64_encode($cookiestring);

        // Set cookie
        setcookie("pncookie", $cookiestring, time() + 3600 * 24 * 360, "/");
        $pnuser[loggedin] = "YES";
        return $pnuser;

      }
    }
  }

  // Check cookie of user
  function checkcookie () {
    global $pn_config, $pn_handler;
    $cookiestring = base64_decode($_COOKIE[pncookie]);
    $cookiestring = explode("@@@@@", $cookiestring);
    $result = mysql_query("SELECT * FROM $pn_config[usertable] WHERE id = '".$cookiestring[0]."'", $pn_handler);
    $num = mysql_num_rows($result);
    if ($num == 1) {
      $pnuser = mysql_fetch_array($result);
      if ($pnuser[password] == $cookiestring[1]) {
        $pnuser[loggedin] = "YES";
        return $pnuser;
      }
    }
  }

  // Login user
  function login () {
    global $pn_config, $pn_handler;
    $template = new pn_template;
    if ($_GET[pndata][login] == "YES") {
      if (!$_POST[pndata][nickname] OR !$_POST[pndata][password]) {
        $template->message(L_ALL_FILLALL, "javascript:history.back()");
      } else {
        $result = mysql_query("SELECT * FROM $pn_config[usertable] WHERE nickname = '".$_POST[pndata][nickname]."'", $pn_handler);
        $num = mysql_num_rows($result);
        if ($num == 1) {
          $row = mysql_fetch_array($result);
          if ($row[password] == base64_encode($_POST[pndata][password])) {
            $template->message(L_USR_LOGGEDIN, $pn_config[userfile]."?page=profile");
          } else {
            $template->message(L_USR_WRONGPASSWORD, "javascript:history.back()");
          }
        } else {
          $template->message(L_USR_NOUSR, "javascript:history.back()");
        }
      }
    } else {
      $template->loginform();
    }
  }

  // Send data to user
  function senddata () {
    global $pn_config, $pn_handler;
    $template = new pn_template;
    if ($_POST[pndata][searchstring]) {
      $result = mysql_query("SELECT nickname, email, password FROM $pn_config[usertable] WHERE nickname = '".$_POST[pndata][searchstring]."' OR email = '".$_POST[pndata][searchstring]."'", $pn_handler);
      $num = mysql_num_rows($result);
      if ($num == 0) {
        $template->message(L_USR_NOUSRREGISTERED, "javascript:history.back()");
      } elseif ($num > 1) {
        $template->message(L_USR_TOOMANYSEARCHRESULTS, "javascript:history.back()");
      } elseif ($num == 1) {
        $row = mysql_fetch_array($result);
        $password = base64_decode($row[password]);
        $pnemail = new pn_email;
        if ($pnemail->dataemail($row[nickname], $row[email], $password)) {
          $template->message(L_USR_DATASENT, $pn_config[userfile]."?page=login");
        } else {
          $template->message(L_USR_CANTSENDMAIL, "javascript:history.back()");
        }
      }
    } else {
      $template->senddataform();
    }
  }

  // Print out usermenu
  function usermenu () {
    global $pnuser;
    $template = new pn_template;
    if ($pnuser[loggedin] == "YES") {
      $template->usermenu2();
    } else {
      $template->usermenu();
    }
  }

  // Edit userprofile
  function profile () {
    global $pn_config, $pnuser, $pn_handler;

    $template = new pn_template;
    if ($pnuser[loggedin] == "YES") {
      if ($_GET[pndata][send] == "YES") {
        if (!$_POST[pndata][nickname] OR !$_POST[pndata][email] OR !$_POST[pndata][password] OR !$_POST[pndata][password2]) {
          $template->message(L_ALL_FILLALL, "javascript:history.back()");
        } else {
          if (!preg_match("!^[_a-zA-Z0-9.-]+@[a-zA-Z0-9.-]+.[a-zA-Z]{2,4}!", $_POST[pndata][email])) {
            $template->message(L_USR_WRONGEMAIL, "javascript:history.back()");
          } else {
            if ($_POST[pndata][password] == $_POST[pndata][password2]) {
              $result = mysql_query("SELECT * FROM $pn_config[usertable] WHERE (nickname = '".$_POST[pndata][nickname]."' OR email = '".$_POST[pndata][email]."') AND id != '$pnuser[id]'", $pn_handler);
              $num = mysql_num_rows($result);
              if ($num == 0) {
                $password = base64_encode($_POST[pndata][password]);
                if (!$_POST[pndata][showemail]) { $_POST[pndata][showemail] = "NO"; }
                mysql_query("UPDATE $pn_config[usertable] SET nickname = '".$_POST[pndata][nickname]."', email = '".$_POST[pndata][email]."', password = '$password', showemail = '".$_POST[pndata][showemail]."', realname = '".$_POST[pndata][realname]."', city = '".$_POST[pndata][city]."', age = '".$_POST[pndata][age]."', homepage = '".$_POST[pndata][homepage]."', icq = '".$_POST[pndata][icq]."' WHERE id = '$pnuser[id]'", $pn_handler);
                $template->message(L_USR_PROFILEEDITED, $pn_config[userfile]."?page=profile");
              } else {
                $template->message(L_USR_NICKNAMEOREMAILALREADYUSED, "javascript:history.back()");
              }
            } else {
              $template->message(L_USR_PASSNOTEQUAL, "javascript:history.back()");
            }
          }
        }
      } else {
        $template->profileform($pnuser);
      }
    } else {
      $template->message(L_USR_NOTLOGGEDIN, $pn_config[userfile]."?page=login");
    }
  }

  // Logout
  function logout () {
    global $pnuser;
    $template = new pn_template;
    if ($pnuser[loggedin] == "YES") {
      $template->logout($pnuser);
    } else {
      $template->message(L_USR_CANNOTLOGOUT, $pn_config[userfile]."?page=login");
    }
  }

  // Delete usercookie
  function delusercookie () {
    global $pn_config;
    setcookie("pncookie", "", time() - 10, "/");
    unset($pnuser);
    unset($_COOKIE[pncookie]);
    header("Location: ./$pn_config[userfile]?page=login");
  }

}

##################################################################################################

// eMail class
class pn_email {

  // Sending register-eMail
  function registeremail ($nickname, $email, $password) {
    global $pnconfig;
    $template = new pn_template;
    if ($registeremail = $template->registeremail($nickname, $email, $password)) {
      if (!mail("$email", L_EMAIL_TITLE, "$registeremail", "FROM: ".L_EMAIL_AUTHOR." <$pnconfig[email]>")) { return FALSE; } else { return TRUE; }
    } else {
      return FALSE;
    }
  }

  // Sending data-eMail
  function dataemail ($nickname, $email, $password) {
    global $pnconfig;
    $template = new pn_template;
    if ($dataemail = $template->dataemail($nickname, $email, $password)) {
      if (!mail("$email", L_EMAIL_TITLE, "$dataemail", "FROM: ".L_EMAIL_AUTHOR." <$pnconfig[email]>")) { return FALSE; } else { return TRUE; }
    } else {
      return FALSE;
    }
  }
}

##################################################################################################

// Template class
class pn_template {

  // Get template for standard message
  function message ($text, $link) {
    global $pn_config, $pnconfig, $pn_handler;

    $result = mysql_query("SELECT message FROM $pn_config[templatetable] WHERE id = '$pnconfig[template]'", $pn_handler);
    $num = mysql_num_rows($result);
    if ($num == 1) {
      list($message) = mysql_fetch_array($result);

      $message = preg_replace("!{MESSAGE}!", "$text", $message);
      $message = preg_replace("!{LINK}!", "$link", $message);

      echo $message;
      return TRUE;
    } else {
      return FALSE;
    }
  }

  // BB replacements
  function bbreplace ($text) {
    $text = preg_replace("!\[(?i)b\]!", "<b>", $text);
    $text = preg_replace("!\[/(?i)b\]!", "</b>", $text);
    $text = preg_replace("!\[(?i)u\]!", "<u>", $text);
    $text = preg_replace("!\[/(?i)u\]!", "</u>", $text);
    $text = preg_replace("!\[(?i)i\]!", "<i>", $text);
    $text = preg_replace("!\[/(?i)i\]!", "</i>", $text);
    $text = preg_replace("!\[(?i)url\](http://|ftp://)([a-zA-Z0-9:/\?\[\]=.@-]+)\[/(?i)url\]+!", "<a href=\"\\1\\2\" target=\"_blank\">\\1\\2</a>", $text);
    $text = preg_replace("!\[(?i)url\]([a-zA-Z0-9:/\?\[\]=.@-]+)\[/(?i)url\]+!", "<a href=\"http://\\1\" target=\"_blank\">\\1</a>", $text);
    $text = preg_replace("!\[(?i)email\]([a-zA-Z0-9-._]+@[a-zA-Z0-9-.]+)\[/(?i)email\]!", "<a href=\"mailto:\\1\">\\1</a>", $text);
    $text = preg_replace("!\[(?i)img\]([a-zA-Z0-9:/\?\[\]=.@-]+)\[(?i)/img\]!", "<img src=\"\\1\" border=\"0\">", $text);
    $text = preg_replace("!\n!", "<br>", $text);

    return $text;
  }

  // Smilie replacements
  function smiliereplace ($text) {
    $text = preg_replace("!:\)\)!", "<img src=\"./pngfx/smilies/laugh.gif\" width=\"15\" height=\"15\" border=\"0\">", $text);
    $text = preg_replace("!:\)!", "<img src=\"./pngfx/smilies/smile.gif\" width=\"15\" height=\"15\" border=\"0\">", $text);
    $text = preg_replace("!;\)!", "<img src=\"./pngfx/smilies/wink.gif\" width=\"15\" height=\"15\" border=\"0\">", $text);
    $text = preg_replace("!:(?i)p!", "<img src=\"./pngfx/smilies/tongue.gif\" width=\"15\" height=\"15\" border=\"0\">", $text);
    $text = preg_replace("!:(?i)D!", "<img src=\"./pngfx/smilies/bigsmile.gif\" width=\"15\" height=\"15\" border=\"0\">", $text);
    $text = preg_replace("!:\(!", "<img src=\"./pngfx/smilies/sad.gif\" width=\"15\" height=\"15\" border=\"0\">", $text);
    $text = preg_replace("!:\?:!", "<img src=\"./pngfx/smilies/confused.gif\" width=\"15\" height=\"22\" border=\"0\">", $text);

    return $text;
  }

  // Get template for headline
  function headline ($id, $time, $category, $title) {

    global $pn_config, $pnconfig, $pn_handler;

    $result = mysql_query("SELECT headline FROM $pn_config[templatetable] WHERE id = '$pnconfig[template]'", $pn_handler);
    $num = mysql_num_rows($result);
    if ($num == 1) {
      list($headline) = mysql_fetch_array($result);

      if ($pnconfig[html] == "Comments" OR $pnconfig[html] == "NO") {
        $title = htmlentities($title);
      }
      if ($pnconfig[bbcode] == "Comments & News" OR $pnconfig[bbcode] == "News") {
        $title = $this->bbreplace($title);
      }
      if ($pnconfig[smilies] == "Comments & News" OR $pnconfig[smilies] == "News") {
        $title = $this->smiliereplace($title);
      }

      $date = strftime("$pnconfig[dateformat]", $time);
      $time = strftime("$pnconfig[timeformat]", $time);
      $headline = preg_replace("!{ID}!", "$id", $headline);
      $headline = preg_replace("!{DATE}!", "$date", $headline);
      $headline = preg_replace("!{TIME}!", "$time", $headline);
      $headline = preg_replace("!{CATEGORY}!", "$category[name]", $headline);
      $headline = preg_replace("!{TITLE}!", "$title", $headline);
      $headline = preg_replace("!{CATPIC}!", "$category[pic]", $headline);
      $headline = preg_replace("!{CATID}!", "$category[id]", $headline);


      echo $headline;
      return TRUE;
    } else {
      return FALSE;
    }
  }

  // Get template for news entry
  function news ($id, $author, $time, $category, $title, $text, $comments, $details, $moretext = "", $relatedlinks) {

    global $pn_config, $pnconfig, $pn_handler;

    $result = mysql_query("SELECT news FROM $pn_config[templatetable] WHERE id = '$pnconfig[template]'", $pn_handler);
    $num = mysql_num_rows($result);
    if ($num == 1) {
      list($news) = mysql_fetch_array($result);

      if ($pnconfig[html] == "Comments" OR $pnconfig[html] == "NO") {
        $title = htmlentities($title);
        $text = htmlentities($text);
        $moretext = htmlentities($moretext);
      }
      if ($pnconfig[bbcode] == "Comments & News" OR $pnconfig[bbcode] == "News") {
        $title = $this->bbreplace($title);
        $text = $this->bbreplace($text);
        $moretext = $this->bbreplace($moretext);
      }
      if ($pnconfig[smilies] == "Comments & News" OR $pnconfig[smilies] == "News") {
        $title = $this->smiliereplace($title);
        $text = $this->smiliereplace($text);
        $moretext = $this->smiliereplace($moretext);
      }

      $date = strftime("$pnconfig[dateformat]", $time);
      $time = strftime("$pnconfig[timeformat]", $time);
      $news = preg_replace("!{ID}!", "$id", $news);
      $news = preg_replace("!{AUTHOR}!", "$author", $news);
      $news = preg_replace("!{DATE}!", "$date", $news);
      $news = preg_replace("!{TIME}!", "$time", $news);
      $news = preg_replace("!{CATEGORY}!", "$category[name]", $news);
      $news = preg_replace("!{CATID}!", "$category[id]", $news);
      $news = preg_replace("!{TITLE}!", "$title", $news);
      if ($pnconfig[moretext] == "YES" AND $moretext) {
        if ($details == "YES") {
          $text = "<b>".$text."</b><br><br>".$moretext;
          $news = preg_replace("!{MORE}!", "", $news);
        } else {
          $news = preg_replace("!{MORE}!", "[ <a href=\"".$pn_config[detailfile]."?newsid=".$id."\">".L_NEWS_MORE."</a> ]", $news);
        }
      } else {
        $news = preg_replace("!{MORE}!", "", $news);
      }
      $news = preg_replace("!{TEXT}!", "$text", $news);
      $news = preg_replace("!{COMMENTS}!", "$comments", $news);
      if ($pnconfig[categorypics] == "YES") { $news = preg_replace("!{CATPIC}!", "$category[pic]", $news); }
      if ($pnconfig[relatedlinks] == "YES") {
        $links = explode("\n", $relatedlinks);
        for ($i = 0; $i < count($links) - 1; $i++) {
          $link = explode("!@!@!", $links[$i]);
          $rlinks .= $this->relatedlinks($link[0], $link[1], $link[2]);
        }
        $news = preg_replace("!{RELATEDLINKS}!", "$rlinks", $news);
      }

      echo $news;
      return TRUE;
    } else {
      return FALSE;
    }
  }

  // Get template for comment
  function comment ($id, $newsid, $author, $time, $text) {

    global $pn_config, $pnconfig, $pn_handler;

    $result = mysql_query("SELECT comment FROM $pn_config[templatetable] WHERE id = '$pnconfig[template]'", $pn_handler);
    $num = mysql_num_rows($result);
    if ($num == 1) {
      list($comment) = mysql_fetch_array($result);

      if ($pnconfig[html] == "News" OR $pnconfig[html] == "NO") {
        $text = htmlentities($text);
      }
      if ($pnconfig[bbcode] == "Comments & News" OR $pnconfig[bbcode] == "Comments") {
        $text = $this->bbreplace($text);
      }
      if ($pnconfig[smilies] == "Comments & News" OR $pnconfig[smilies] == "Comments") {
        $text = $this->smiliereplace($text);
      }

      if ($author[id] == 0) {
        $user = L_NEWS_GUEST;
      } else {
        if ($author[showemail] == "YES") {
        	$user = "<a href=\"mailto:$author[email]\">$author[nickname]</a>";
        } else {
          $user = $author[nickname];
        }
      }
      $date = strftime("$pnconfig[dateformat]", $time);
      $time = strftime("$pnconfig[timeformat]", $time);
      $comment = preg_replace("!{ID}!", "$id", $comment);
      $comment = preg_replace("!{AUTHOR}!", "$user", $comment);
      $comment = preg_replace("!{DATE}!", "$date", $comment);
      $comment = preg_replace("!{TIME}!", "$time", $comment);
      $comment = preg_replace("!{TEXT}!", "$text", $comment);

      echo $comment;
      return TRUE;
    } else {
      return FALSE;
    }
  }

  // Get template for related links
  function relatedlinks ($title, $url, $target) {

    global $pn_config, $pnconfig, $pn_handler;

    $result = mysql_query("SELECT relatedlinks FROM $pn_config[templatetable] WHERE id = '$pnconfig[template]'", $pn_handler);
    $num = mysql_num_rows($result);
    if ($num == 1) {
      list($relatedlink) = mysql_fetch_array($result);

      $relatedlink = preg_replace("!{TITLE}!", "$title", $relatedlink);
      $relatedlink = preg_replace("!{URL}!", "$url", $relatedlink);
      $relatedlink = preg_replace("!{TARGET}!", "$target", $relatedlink);


      return $relatedlink;
    } else {
      return FALSE;
    }
  }

  // Get template for comment form
  function commentform ($name, $newsid) {

    global $pn_config, $pnconfig, $pn_handler;

    $result = mysql_query("SELECT commentform FROM $pn_config[templatetable] WHERE id = '$pnconfig[template]'", $pn_handler);
    $num = mysql_num_rows($result);
    if ($num == 1) {
      list($commentform) = mysql_fetch_array($result);

      $commentform = preg_replace("!{NEWSID}!", "$newsid", $commentform);
      $commentform = preg_replace("!{NAME}!", "$name", $commentform);

      echo $commentform;
      return TRUE;
    } else {
      return FALSE;
    }
  }

  // Get template for registration form
  function registerform () {
    global $pn_config, $pnconfig, $pn_handler;

    $result = mysql_query("SELECT registerform FROM $pn_config[templatetable] WHERE id = '$pnconfig[template]'", $pn_handler);
    $num = mysql_num_rows($result);
    if ($num == 1) {
      list($registerform) = mysql_fetch_array($result);

      echo $registerform;
      return TRUE;
    } else {
      return FALSE;
    }
  }

  // Get template for register-eMail
  function registeremail($nickname, $email, $password) {
    global $pnconfig, $pn_config, $pn_handler;

    $result = mysql_query("SELECT registeremail FROM $pn_config[templatetable] WHERE id = '$pnconfig[template]'", $pn_handler);
    $num = mysql_num_rows($result);
    if ($num == 1) {
      list($registeremail) = mysql_fetch_array($result);

      $registeremail = preg_replace("!{NICKNAME}!", "$nickname", $registeremail);
      $registeremail = preg_replace("!{EMAIL}!", "$email", $registeremail);
      $registeremail = preg_replace("!{PASSWORD}!", "$password", $registeremail);
      $registeremail = preg_replace("!{URL}!", "$pnconfig[url]", $registeremail);

      return $registeremail;

    } else {
      return FALSE;
    }
  }

  // Get template for login form
  function loginform () {
    global $pn_config, $pnconfig, $pn_handler;

    $result = mysql_query("SELECT loginform FROM $pn_config[templatetable] WHERE id = '$pnconfig[template]'", $pn_handler);
    $num = mysql_num_rows($result);
    if ($num == 1) {
      list($loginform) = mysql_fetch_array($result);

      echo $loginform;
      return TRUE;
    } else {
      return FALSE;
    }
  }

  // Get template for senddata form
  function senddataform () {
    global $pn_config, $pnconfig, $pn_handler;

    $result = mysql_query("SELECT senddataform FROM $pn_config[templatetable] WHERE id = '$pnconfig[template]'", $pn_handler);
    $num = mysql_num_rows($result);
    if ($num == 1) {
      list($senddataform) = mysql_fetch_array($result);

      echo $senddataform;
      return TRUE;
    } else {
      return FALSE;
    }
  }

  // Get template for data-eMail
  function dataemail($nickname, $email, $password) {
    global $pnconfig, $pn_config, $pn_handler;

    $result = mysql_query("SELECT dataemail FROM $pn_config[templatetable] WHERE id = '$pnconfig[template]'", $pn_handler);
    $num = mysql_num_rows($result);
    if ($num == 1) {
      list($dataemail) = mysql_fetch_array($result);

      $dataemail = preg_replace("!{NICKNAME}!", "$nickname", $dataemail);
      $dataemail = preg_replace("!{EMAIL}!", "$email", $dataemail);
      $dataemail = preg_replace("!{PASSWORD}!", "$password", $dataemail);
      $dataemail = preg_replace("!{URL}!", "$pnconfig[url]", $dataemail);

      return $dataemail;

    } else {
      return FALSE;
    }
  }

  // Get template for usermenu
  function usermenu() {
    global $pnconfig, $pn_config, $pn_handler;

    $result = mysql_query("SELECT usermenu FROM $pn_config[templatetable] WHERE id = '$pnconfig[template]'", $pn_handler);
    $num = mysql_num_rows($result);
    if ($num == 1) {
      list($usermenu) = mysql_fetch_array($result);
      echo $usermenu;
      return TRUE;
    } else {
      return FALSE;
    }
  }

  // Get template for usermenu2
  function usermenu2() {
    global $pnconfig, $pn_config, $pn_handler;

    $result = mysql_query("SELECT usermenu2 FROM $pn_config[templatetable] WHERE id = '$pnconfig[template]'", $pn_handler);
    $num = mysql_num_rows($result);
    if ($num == 1) {
      list($usermenu2) = mysql_fetch_array($result);
      echo $usermenu2;
      return TRUE;
    } else {
      return FALSE;
    }
  }

  // Get template for userprofile
  function profileform ($pnuser) {

    global $pn_config, $pnconfig, $pn_handler;

    $result = mysql_query("SELECT profileform FROM $pn_config[templatetable] WHERE id = '$pnconfig[template]'", $pn_handler);
    $num = mysql_num_rows($result);
    if ($num == 1) {
      list($profileform) = mysql_fetch_array($result);

      $profileform = preg_replace("!{NICKNAME}!", "$pnuser[nickname]", $profileform);
      $profileform = preg_replace("!{EMAIL}!", "$pnuser[email]", $profileform);
      if ($pnuser[showemail] == "YES") {
        $profileform = preg_replace("!{SHOWEMAIL}!", "checked", $profileform);
      }
      $profileform = preg_replace("!{PASSWORD}!", base64_decode($pnuser[password]), $profileform);
      $profileform = preg_replace("!{REALNAME}!", "$pnuser[realname]", $profileform);
      $profileform = preg_replace("!{CITY}!", "$pnuser[city]", $profileform);
      $profileform = preg_replace("!{AGE}!", "$pnuser[age]", $profileform);
      $profileform = preg_replace("!{HOMEPAGE}!", "$pnuser[homepage]", $profileform);
      $profileform = preg_replace("!{ICQ}!", "$pnuser[icq]", $profileform);

      echo $profileform;
      return TRUE;
    } else {
      return FALSE;
    }
  }

  // Get template for logout
  function logout ($pnuser) {
    global $pn_config, $pnconfig, $pn_handler;

    $result = mysql_query("SELECT logout FROM $pn_config[templatetable] WHERE id = '$pnconfig[template]'", $pn_handler);
    $num = mysql_num_rows($result);
    if ($num == 1) {
      list($logout) = mysql_fetch_array($result);

      $logout = preg_replace("!{NICKNAME}!", "$pnuser[nickname]", $logout);

      echo $logout;
      return TRUE;
    } else {
      return FALSE;
    }
  }

  // Get template for archive
  function archive ($pndata) {
    global $pn_config, $pnconfig, $pn_handler;

    $result = mysql_query("SELECT archive FROM $pn_config[templatetable] WHERE id = '$pnconfig[template]'", $pn_handler);
    $num = mysql_num_rows($result);
    if ($num == 1) {
      list($archive) = mysql_fetch_array($result);

      $monthselect = "<select name=\"pndata[showmonth]\" size=\"1\">\n";
      for ($month = 1; $month < 13; $month++) {
        $monthtime = mktime(0, 0, 0, $month, 1, $_POST[pndata][thisyear]);
        $monthname = strftime("%B", $monthtime);
        $monthselect .= $pndata[showmonth] == $month ? '<option value="'.$month.'" selected>'.$monthname.'</option>' : '<option value="'.$month.'">'.$monthname.'</option>';

      }

      $monthselect .= "</select>\n";


      $archive = preg_replace("!{SELECTYEAR}!", $_POST[pndata][yearselect], $archive);
      $archive = preg_replace("!{SELECTMONTH}!", $monthselect, $archive);

      $archive = preg_replace("!{SEARCHSTRING}!", $_POST[pndata][searchstring], $archive);

      echo $archive;
      return TRUE;
    } else {
      return FALSE;
    }
  }

  // Get template for sendnewsform
  function sendnewsform ($user, $catselect) {
    global $pn_config, $pnconfig, $pn_handler;

    $result = mysql_query("SELECT sendnewsform FROM $pn_config[templatetable] WHERE id = '$pnconfig[template]'", $pn_handler);
    $num = mysql_num_rows($result);
    if ($num == 1) {
      list($sendnewsform) = mysql_fetch_array($result);

      $sendnewsform = preg_replace("!{USER}!", $user, $sendnewsform);
      $sendnewsform = preg_replace("!{CATEGORYSELECT}!", $catselect, $sendnewsform);

      if ($pnconfig[relatedlinks] == "YES") {
        for ($i = 0; $i < count($pn_config[rltargets]); $i++) {
          $targets .= '<option value="'.$pn_config[rltargets][$i].'">'.$pn_config[rltargets][$i].'</option>';
        }
        $relatedlinks = '<table border="0" cellpadding="3" cellspacing="0" width="100%"><tr><td><b>'.L_NEWS_RL_TITLE.'</b></td><td><b>'.L_NEWS_RL_URL.'</b></td><td><b>'.L_NEWS_RL_TARGET.'</b></td></tr>';
        /* List forms for related links */
        for ($i = 0; $i < $pnconfig[relatedlinks_num]; $i++) {
          $relatedlinks .= '<tr><td><input name="pndata[rl_title][]" size="25" maxlength="50"></td><td><input name="pndata[rl_url][]" size="25" maxlength="250"></td><td><select name="pndata[rl_target][] size="1">';
          $relatedlinks .= $targets;
          $relatedlinks .= '</select></td></tr>';
          }
        $relatedlinks .= '</table>';
      }
      $sendnewsform = preg_replace("!{RELATEDLINKS}!", $relatedlinks, $sendnewsform);

      echo $sendnewsform;
      return TRUE;
    } else {
      return FALSE;
    }
  }

}

##################################################################################################

function pn_cpi () {
  global $pn_config;
  ?><p align="center" class="copyright"><font size="1">PowerNews <?PHP echo $pn_config[version]; ?> &copy; Copyright 2003 by <a href="http://www.powerscripts.org" target="_blank">PowerScripts</a></font></p><?PHP
}

?>